/* 开启校验 */
$(function(){
    $('.skin-minimal input').iCheck({
        checkboxClass: 'icheckbox-blue',
        radioClass: 'iradio-blue',
        increaseArea: '20%'
    });

    $("#form-admin-add").Validform({
        tiptype:function(msg, o, cssctl){
            console.log(o);
            if (o.type === 3) {
                layer.msg(msg,{icon:2,time:1500});
            }
        },
        ignoreHidden: false,
        callback:function(form){
            var send = true;
            if (typeof user_callback !== "undefined") {
                send = user_callback();
            }
            if (typeof send === "undefined") {
                add();
            }
            if (send) {
                add();
            }
            return false;
        }
    });
});

/* 当前方法 */
function add() {
    //此处请求后台程序，下方是成功后的前台处理……
    ajax("POST", $("#form-admin-add").attr("action"), formatJSON(), function(res) {
        if (typeof success_callback !== "undefined") {
            success_callback(res);
        } else {
            if (res.resultCode === 200 && res.returnCode === 200) {
                layer.msg('操作成功!',{icon: 6,time:1000}, function (){
                    var index = parent.layer.getFrameIndex(window.name);
                    if (typeof index !== "undefined") {
                        parent.refresh();
                        parent.layer.close(index);
                    } else {
                        var href = window.redirect_url;
                        if (typeof href !== "undefined") {
                            location.href = root_path + href;
                        }
                    }
                });
            } else {
                var error = null;
                try {
                    error = res.returnMsg.error;
                } catch (error) {

                }
                if (error != null && typeof error !== "undefined") {
                    layer.msg("【操作失败】" + error,{icon: 1,time:3000});
                } else {
                    layer.msg('请求失败，请重试!',{icon: 1,time:1000});
                }
            }
        }
    }, function() {
        if (typeof faild_callback !== "undefined") {
            faild_callback();
        }
    });
}

/*将表单format 为  JSON*/
function formatJSON() {
    var o={};
    $($("#form-admin-add").serializeArray()).each(function(){
        if (this.value !== "" && this.value != null) {
            // 如果value为空，则不要填充啦
            if (o[this.name] !== undefined) {
                if (!o[this.name].push) {
                    o[this.name] = [o[this.name]];
                }
                o[this.name].push(this.value || '');
            } else {
                o[this.name] = this.value || '';
            }
        }
    });
    return o;
}